Skip to main content
`Ctrl`+`K`

# PEPMonitorCancel

Clears all monitors for a `PEP` object.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPMonitorCancel(PEP pep)

Logically Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Options Database Key

- -pep_monitor_cancel - cancels all monitors that have been hardwired into a code by calls to `PEPMonitorSet()`, but does not cancel those set via the options database.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPMonitorSet()`

## Level

intermediate

## Location

src/pep/interface/pepmon.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages